Welcome to mistral-lib's documentation!
=======================================

The mistral-lib is a library that contains data types, exceptions, functions
and utilities common to Mistral, python-mistralclient and mistral-extra
repositories. This library also contains the public interfaces for 3rd party
integration (e.g. Actions API, YAQL functions API, etc.)

Contents:

Install guide
-------------

**Installation**

.. toctree::
   :maxdepth: 2

   install/index

User guide
----------

**Usage**

.. toctree::
   :maxdepth: 2

   user/index

Developer guide
---------------

.. toctree::
   :maxdepth: 2

   contributor/index

Indices and tables
==================

* :ref:`genindex`
* :ref:`search`
